Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.lucene
Class SearchVersionAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.owasp.dependencycheck.data.lucene.SearchVersionAnalyzer

All Implemented Interfaces:
  Closeable

Deprecated. version information is no longer stored in lucene

    @Deprecated
    public class SearchVersionAnalyzer

extends org.apache.lucene.analysis.Analyzer

SearchVersionAnalyzer is a Lucene Analyzer used to analyze version information.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer
`org.apache.lucene.analysis.Analyzer.GlobalReuseStrategy, org.apache.lucene.analysis.Analyzer.PerFieldReuseStrategy, org.apache.lucene.analysis.Analyzer.ReuseStrategy, org.apache.lucene.analysis.Analyzer.TokenStreamComponents`

Constructor Summary
`SearchVersionAnalyzer(org.apache.lucene.util.Version version)` Deprecated. Creates a new SearchVersionAnalyzer.

Method Summary
`protected org.apache.lucene.analysis.Analyzer.TokenStreamComponents` | `createComponents(String fieldName, Reader reader)` Deprecated. Creates the TokenStreamComponents

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, initReader, tokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchVersionAnalyzer

    public SearchVersionAnalyzer(org.apache.lucene.util.Version version)

  Deprecated.
  Creates a new SearchVersionAnalyzer.

  Parameters:
    `version` - the Lucene version

Method Detail

### createComponents

    protected org.apache.lucene.analysis.Analyzer.TokenStreamComponents createComponents(String fieldName,
                                                                                         Reader reader)

  Deprecated.
  Creates the TokenStreamComponents

  Specified by:
    `createComponents` in class `org.apache.lucene.analysis.Analyzer`
  Parameters:
    `fieldName` - the field name being analyzed
    `reader` - the reader containing the input
  Returns:
    the TokenStreamComponents

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.